unit Unit2;

interface

uses
{$IFDEF LINUX}
 QForms, Classes, QControls, QStdCtrls;
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ENDIF}

type
  TForm2 = class(TForm)
    Memo1: TMemo;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$IFDEF MSWINDOWS}
{$R *.dfm}
{$ENDIF}
{$IFDEF LINUX}
{$R *.xfm}
{$ENDIF}

procedure TForm2.FormKeyPress(Sender: TObject; var Key: Char);
begin
 case Ord(Key) of
  27: Close;
 end;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
{$IFDEF LINUX}
 PixelsPerInch:=81;
{$ENDIF}
end;

end.
